## libccaudio2 2.0.5

=== debian/changelog ===
libccaudio2 (2.0.5-3) unstable; urgency=low

  * wheezey polish - lintian clean
  * Update to Standards Version 3.9.3 - no changes
  * libccaudio2-dev enhance Description:
  * Add hyphen-used-as-minus-sign.patch
  * Update to debian/compat 9 - hardening & multiarch

 -- Mark Purcell <msp@debian.org>  Sat, 23 Jun 2012 12:42:46 +1000

libccaudio2 (2.0.5-2) unstable; urgency=low

  * Upload to unstable - coordinated through debian-release

 -- Mark Purcell <msp@debian.org>  Wed, 16 May 2012 07:17:50 +1000

libccaudio2 (2.0.5-1) experimental; urgency=low

  * New upstream release
    - NEW libccaudio2 - soname bump 
  * Add Build-Depends libucommon-dev
  * libccaudio2-dev Depends: s/libcommoncpp2-dev/libucommon-dev/
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch to dh
  * Drop libccaudio-doc - documentation support dropped upstream
  * Update Standards Version 3.9.2
  * debian/copyright update GPL-2 - copyright-refers-to-symlink-license

 -- Mark Purcell <msp@debian.org>  Sat, 08 Oct 2011 16:36:54 +1100

libccaudio2 (1.0.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621634).

 -- Luk Claes <luk@debian.org>  Wed, 22 Jun 2011 19:34:36 +0200

libccaudio2 (1.0.0-2) unstable; urgency=low

  * Upload to unstable - libcommoncpp2 tranistion
  * debian/compat => 7

 -- Mark Purcell <msp@debian.org>  Mon, 23 Feb 2009 23:46:04 +1100

libccaudio2 (1.0.0-1) experimental; urgency=low

  * New upstream release
    - NEW libccaudio2-1.0-0 - fixes package-name-doesnt-match-sonames
  * Add ${misc:Depends} -  debhelper-but-no-misc-depends
  * Hide doxygen errors - libccaudio2-doc.lintian-overrides
  * Add Depends: pkg-config

 -- Mark Purcell <msp@debian.org>  Tue, 30 Dec 2008 08:59:04 +1100

libccaudio2 (0.9.14-2) unstable; urgency=low

  * Update debian/copyright lintian: copyright-without-copyright-notice
  * Upgrade to Standards-Version: 3.8.0 - no changes necessary

 -- Mark Purcell <msp@debian.org>  Fri, 05 Sep 2008 23:11:02 +1000

libccaudio2 (0.9.14-1) unstable; urgency=low

  * New upstream release

  [ Kilian Krause ]
  * Add ${binary:Version} for binNMU-safe uploads.
    Add dpkg-dev (>= 1.13.19) to Build-Depends.

  [ Mark Purcell ]
  * Cleanup get-orig-source VARS
  * Add ${shlibs:Depends} missing-dependency-on-libc

 -- Mark Purcell <msp@debian.org>  Mon, 24 Mar 2008 22:05:37 +1100

libccaudio2 (0.9.12-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Fri,  1 Dec 2006 22:45:07 +0000

libccaudio2 (0.9.10-2) unstable; urgency=low

  * Delete usr/share/man/man3/ost.3.gz again
    - Fixes: libccaudio2-doc conflicts with libcommoncpp2-doc (Closes: #399216)

 -- Mark Purcell <msp@debian.org>  Fri,  1 Dec 2006 21:07:37 +0000

libccaudio2 (0.9.10-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Mon, 28 Aug 2006 21:40:33 +0100

libccaudio2 (0.9.9-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Fri, 28 Jul 2006 21:35:58 +0100

libccaudio2 (0.9.7-1) unstable; urgency=low

  * New upstream release
  * Switch to cdbs (Closes: Bug#368615)
  * Add Build-Depends: cdbs, dpatch
  * Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>

 -- Mark Purcell <msp@debian.org>  Thu,  8 Jun 2006 20:27:53 +0100

libccaudio2 (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun,  7 May 2006 20:26:50 +0100

libccaudio2 (0.9.0-2) unstable; urgency=low

  * Move audiotool & tonetool to -dev package, allowing smooth soname
    migration

 -- Mark Purcell <msp@debian.org>  Mon, 17 Apr 2006 14:31:46 +0100

libccaudio2 (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Don't install man pages ost.3 conflicts
  * Fix package-name-doesnt-match-sonames libccaudio2-0.9-0

 -- Mark Purcell <msp@debian.org>  Mon, 17 Apr 2006 14:12:50 +0100

libccaudio2 (0.8.0-2) unstable; urgency=low

  * make install info
  * Build-Depends: doxygen
  * debian/control add libccaudio2-doc package Architecture: all
  * dh_makeshlibs -L libccaudio2-0.8-0

 -- Mark Purcell <msp@debian.org>  Wed,  5 Apr 2006 22:41:03 +0100

libccaudio2 (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Bump soname. Fixes package-name-doesnt-match-sonames libccaudio2-
    0.8-0
  * patch speex/speex.c to emable speex build
  * Add Build-Depends: libspeex-dev

 -- Mark Purcell <msp@debian.org>  Tue, 14 Mar 2006 18:40:50 +0000

libccaudio2 (0.7.11-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 21 Jan 2006 11:49:20 +0000

libccaudio2 (0.7.10-1) unstable; urgency=low

  * New upstream release
  * Add Depends: libcommoncpp2-dev
  * fix old-fsf-address-in-copyright-file

 -- Mark Purcell <msp@debian.org>  Mon,  5 Sep 2005 07:38:31 +0100

libccaudio2 (0.7.6-1) unstable; urgency=low

  * Initial release Closes: #318987

 -- Mark Purcell <msp@debian.org>  Tue, 19 Jul 2005 12:43:14 +1000
