=== debian/control ===
Source: libccaudio2
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libgsm1-dev, libspeex-dev, doxygen, dpkg-dev (>= 1.13.19), libucommon-dev
Standards-Version: 3.9.3
Homepage: http://www.gnu.org/software/ccaudio/
Vcs-Svn: svn://svn.debian.org/pkg-voip/libccaudio2/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libccaudio2/?op=log

Package: libccaudio2-dev
Section: libdevel
Suggests: libccaudio2-doc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libccaudio2 (= ${binary:Version}), libucommon-dev, pkg-config
Description: header files and static link library for GNU ccAudio
 The GNU ccAudio package offers a highly portable C++ class framework for
 developing applications which manipulate audio streams and various
 disk based audio file formats.  At the moment ccaudio is primarly a class
 framework for handling .au, .wav (RIFF), and various .raw audio encoding
 formats under Posix and win32 systems, though it may expand to become a
 general purpose audio and soundcard support library.  Support for
 controlling CD audio devices has recently been added as well as support
 for codecs and other generic audio processing services.
 .
 This package provides the header files and documentation for building
 applications that use GNU ccAudio.

Package: libccaudio2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: GNU ccAudio2 - a C++ class framework for processing audio files
 The GNU ccAudio package offers a highly portable C++ class framework for
 developing applications which manipulate audio streams and various
 disk based audio file formats.  At the moment ccaudio is primarly a class
 framework for handling .au, .wav (RIFF), and various .raw audio encoding
 formats under Posix and win32 systems, though it may expand to become a
 general purpose audio and soundcard support library.  Support for
 controlling CD audio devices has recently been added as well as support
 for codecs and other generic audio processing services.
