## libccaudio2 2.1.1

=== debian/changelog ===
libccaudio2 (2.1.1-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.
  * Build-depend on pkg-config to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 11 Jan 2014 15:45:50 -0500

libccaudio2 (2.1.1-1build1) trusty; urgency=low

  * Rebuild against libucommon6.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Oct 2013 15:04:36 +0100

libccaudio2 (2.1.1-1) unstable; urgency=low

  * New upstream release 
    - Fixes "FTBFS: friends.cpp:1189:25: error:" (Closes: #707373)
  * NEW package libccaudio2-2 - match soname
  * Update Vcs: fixes vcs-field-not-canonical vcs-field-bitrotted
  * Update Standards-Version -> 3.9.4

 -- Mark Purcell <msp@debian.org>  Sat, 12 Oct 2013 15:36:34 +1100
