## libccaudio2 2.1.3

=== debian/changelog ===
libccaudio2 (2.1.3-1.1build2) wily; urgency=medium

  * No-change rebuild against libucommon7v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Aug 2015 20:39:00 +0000

libccaudio2 (2.1.3-1.1build1) wily; urgency=medium

  * No change rebuild for new ucommon soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Jul 2015 16:50:25 +0200

libccaudio2 (2.1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix pass --with-pkg-config to configure, to avoid FTBFS with recent
    libucommon-dev.
    Closes: bug#784233. Thanks to Jonathan Wiltshire.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 May 2015 14:52:41 +0200

libccaudio2 (2.1.3-1) unstable; urgency=low

  * New upstream release 
  
  [ Logan Rosen ]
  * Use dh-autoreconf to get new libtool macros for ppc64el.
    - Fixes "run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4" (Closes: #727397)
  * Build-depend on pkg-config to fix FTBFS.

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jun 2014 22:28:43 +1000
