=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: libccaudio2
 Section: libs
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, libgsm1-dev, libspeex-dev, doxygen, dpkg-dev (>= 1.13.19), libucommon-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-autoreconf, libgsm1-dev, libspeex-dev, doxygen, dpkg-dev (>= 1.13.19), libucommon-dev, pkg-config
+Standards-Version: 3.9.4
 Homepage: http://www.gnu.org/software/ccaudio/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/libccaudio2/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libccaudio2/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libccaudio2/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libccaudio2/
 
 Package: libccaudio2-dev
 Section: libdevel
-Suggests: libccaudio2-doc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libccaudio2 (= ${binary:Version}), libucommon-dev, pkg-config
+Depends: ${shlibs:Depends}, ${misc:Depends}, libccaudio2-2 (= ${binary:Version}), libucommon-dev, pkg-config
 Description: header files and static link library for GNU ccAudio
  The GNU ccAudio package offers a highly portable C++ class framework for
  developing applications which manipulate audio streams and various
@@ -27,7 +27,7 @@
  This package provides the header files and documentation for building
  applications that use GNU ccAudio.
 
-Package: libccaudio2
+Package: libccaudio2-2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
