=== debian/watch ===
version=3
http://ftp.gnu.org/pub/gnu/ccaudio/ccaudio2-(.*)\.tar\.gz        debian  svn-upgrade
